<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 不干胶 -->
<style>
    .layui-carousel-ind ul {
        display: none
    }

    .sjitu .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h2">不干胶</h1>
        </br></br>
        <span style="color:red;font-size:14px">
        使用方法:选择对应的产品种类。输入正确的尺寸、数量后点击“计算”出价格(自动复制)；
        </span>
        <form class="layui-form">
            <div class="layui-form-item">
                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="常用种类" title="常用种类">
                <!-- <input type="radio" lay-filter="stickerKind" name="stickerKind" value="少数量"  title="少数量(100个以内)"> -->
                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="专版打印" title="专版打印">
                <%--                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="封口贴" title="封口贴">--%>
                <%--                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="插旗" title="插旗">--%>
                <%--                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="双面印刷不干胶" title="双面印刷不干胶">--%>
            </div>
        </form>
        <form class="layui-form" id="kindValueForm">
            <div class="layui-form-item kindValueRadio">
                <p>
                    品种
                </p>
                <select name="kindValue" lay-filter="kindValue1" id="kindValue1" class="select" lay-search>
                    <option value=""></option>
                    <option value="0">铜板纸不干胶</option>
                    <option value="1">pvc不干胶</option>
                    <option value="2">透明不干胶</option>
                    <option value="3">牛皮纸</option>
                    <option value="5">哑金不干胶</option>
                    <option value="6">哑银不干胶</option>
                    <option value="7">书写纸不干胶</option>
                    <option value="银平光">银平光</option>
                    <option value="拉丝金">拉丝金</option>
                    <option value="拉丝银">拉丝银</option>
                    <option value="美纹纸">美纹纸</option>
                    <option value="PP合成纸">PP合成纸</option>
                    <%--                    <option value="格底珠光膜">格底珠光膜</option>--%>
                    <option value="易碎纸不干胶">易碎纸不干胶</option>
                    <option value="8">刚古水纹超白</option>
                    <option value="10">红底散金</option>
                    <option value="11">布纹纸超白</option>
                    <option value="12">珠光超白</option>
                    <option value="13">10C静电膜</option>
                    <option value="15">树纹纸</option>
                    <option value="16">草香纸/大地纸</option>
                    <option value="17">单防热敏纸（底纸白色）</option>
                    <option value="18">三防热敏纸（底纸蓝色）</option>
                </select>
            </div>
            <div class="kindValueSelect" style="display: none">
                <div class="layui-form-item">
                    <p>
                        品种
                    </p>
                    <select name="kindValue" lay-filter="kindValue" id="kindValue" class="select" lay-search>
                        <option value=""></option>
                        <option value="0">铜板纸不干胶</option>
                        <option value="1">pvc不干胶</option>
                        <option value="2">透明不干胶</option>
                        <option value="3">牛皮纸</option>
                        <option value="5">哑金不干胶</option>
                        <option value="6">哑银不干胶</option>
                        <option value="7">书写纸不干胶</option>
                        <option value="亮金">亮金</option>
                        <option value="亮银">亮银</option>
                        <option value="珠光冰白纸">珠光冰白纸</option>
                        <option value="美纹纸">美纹纸</option>
                        <option value="红洒金">红洒金</option>
                        <option value="布纹纸超白">布纹纸超白</option>
                        <option value="刚古水纹超白">刚古水纹超白</option>
                        <option value="银平光">银平光</option>
                        <%--                        <option value="金平光">金平光</option>--%>
                        <option value="拉丝金">拉丝金</option>
                        <option value="拉丝银">拉丝银</option>
                        <option value="易碎纸不干胶">易碎纸不干胶</option>
                        <!-- <option value="静电贴">静电贴</option> -->
                        <option value="PP合成纸">PP合成纸</option>
                        <option value="飘金超白不干胶">飘金超白不干胶</option>
                        <option value="草香纸">草香纸/大地纸</option>
                        <option value="树纹纸">树纹纸</option>
                        <option value="白散金">白散金</option>
                        <option value="美纹纸散金">美纹纸散金</option>
                        <option value="电线胶-PP合成纸">电线胶-PP合成纸</option>
                        <option value="电线胶-PET哑银">电线胶-PET哑银</option>
                    </select>
                </div>
            </div>
            <div class="kindValueSelect2" style="display: none">
                <div class="layui-form-item">
                    <p>
                        品种
                    </p>
                    <select name="kindValue" lay-filter="kindValue2" id="kindValue2" class="select" lay-search>
                        <option value=""></option>
                        <option value="封口贴铜版纸不干胶">封口贴铜纸板不干胶</option>
                    </select>
                </div>
            </div>
            <div class="kindValueSelect3" style="display: none">
                <div class="layui-form-item">
                    <p>
                        品种
                    </p>
                    <select name="kindValue" lay-filter="kindValue1" id="kindValue3" class="select" lay-search>
                        <option value=""></option>
                        <option value="铜版纸不干胶">铜纸板不干胶</option>
                        <option value="250克白卡纸对裱">250克白卡纸对裱</option>
                    </select>
                </div>
            </div>
        </form>
        <form class="layui-form" id="stickersForm">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="0">
            <div class="ui_normal">
                <p>
                    尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
                </p>
                <div class="layui-form-item">
                    <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input"
                           lay-verify="required" autocomplete="off">
                </div>
                <div class="layui-form-item ui_guaguasize" style="display: none;">
                    <p>
                        刮刮膜尺寸(MM/毫米)
                    </p>
                    <select name="size1" id="size1" class="select">
                        <option value="6*18">6*18 mm</option>
                    </select>
                </div>
                <p>
                    数量(个)
                </p>
                <div class="layui-form-item" id="ui_normal">
                    <select name="count" id="count" class="select">
                        <option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="10000">10000</option>
                        <option value="20000">20000</option>
                        <option value="30000">30000</option>
                        <option value="40000">40000</option>
                        <option value="50000">50000</option>
                        <option value="60000">60000</option>
                        <option value="70000">70000</option>
                        <option value="80000">80000</option>
                        <option value="90000">90000</option>
                        <option value="100000">100000</option>
                    </select>
                </div>
                <div class="layui-form-item" id="ui_print" style="display: none;">
                    <input type="text" placeholder="请输入整数" autocomplete="off" name="count" id="printCount"
                           class="layui-input">
                </div>

                <div class="layui-form-item" id="ui_des" style="display:none;">
                    <p>
                        设计内容
                    </p>
                    <select name="desType" lay-filter="desType" id="desType" class="select" lay-search>
                        <option value=""></option>
                        <option value="1">改序号</option>
                        <option value="2">改名字</option>
                        <option value="3">改二维码</option>
                        <option value="4">改图片</option>
                        <option value="5">改内容模板相同</option>
                        <option value="6" selected>改内容模板完全不同</option>
                    </select>
                </div>
            </div>
            <div class="ui_tk" style="display: none;">
                <p>
                    尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
                </p>
                <div class="layui-form-item">
                    <input type="radio" name="size" id="ui_size" lay-filter="size" value="8*2" title="8*2"
                           checked="checked">
                </div>
                <p>
                    数量(张) <span class="switchCount"></span>
                </p>
                <div class="count">
                    <div class="layui-form-item">
                        <select name="count" id="selectCount" class="select">
                            <option value="1000">1000</option>
                            <option value="2000">2000</option>
                            <option value="3000">3000</option>
                            <option value="5000">5000</option>
                            <option value="10000">10000</option>
                            <option value="20000">20000</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="ui_cq" style="display: none;">
                <p>
                    尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
                </p>
                <div class="layui-form-item">
                    <input type="text" placeholder="格式:长*宽" name="size" id="ui_cqSize" class="layui-input"
                           lay-verify="required" autocomplete="off">
                </div>
                <div class="layui-form-item ui_guaguasize2" style="display: none;">
                    <p>
                        刮刮膜尺寸(MM/毫米)
                    </p>
                    <select name="size1" id="size1" class="select">
                        <option value="6*18">6*18 mm</option>
                    </select>
                </div>
                <div class="layui-form-item ui_toothpick" style="display: none;">
                    <p>
                        牙签尺寸(CM/厘米)
                    </p>
                    <select name="toothpick_size" id="toothpick_size" class="select">
                        <option value="6.5">6.5 CM</option>
                        <option value="10">10 CM</option>
                        <option value="12">12 CM</option>
                    </select>
                </div>
                <p>
                    数量(张)
                </p>
                <div class="count">
                    <div class="layui-form-item">
                        <select name="count" id="selectCount" class="select">
                            <option value="500">500</option>
                            <option value="1000">1000</option>
                            <option value="2000">2000</option>
                            <option value="3000">3000</option>
                            <option value="5000">5000</option>
                            <option value="10000">10000</option>
                            <option value="20000">20000</option>
                            <option value="30000">30000</option>
                            <option value="40000">40000</option>
                            <option value="50000">50000</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="ui_sm" style="display: none">
                <%@include file="stickersdouble.jsp" %>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <hr>
        </form>
        <form class="layui-form" id="craftForm">
            <p>
                工艺
            </p>
            <div class="layui-form-item">
                <input type="radio" name="craftQie" calss="moqie" value="模切" lay-skin="primary" title="模切"
                       checked="checked"/>
                <span class="caiqie">
                    <input type="radio" name="craftQie" calss="moqie" value="裁切" lay-skin="primary" title="裁切"/>
                </span>
                <span class="meiwenzhiQie" style="display:none">
                    <input type="radio" name="craftQie" class="bumoqie" value="不模切" lay-skin="primary" title="不模切">
                </span>
                <span class="cha_fm">
				    	|&nbsp;&nbsp;&nbsp;&nbsp;
                   <input type="radio" name="craftMo" lay-filter="craftMo" value="覆哑膜" title="覆哑膜" checked="checked">
                </span>
                <span class="fm">
				    	|&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="radio" name="craftMo" lay-filter="craftMo" value="覆亮膜" title="覆亮膜" class="liangmo"
                           checked="checked">
                    <span class="yamo"><input type="radio" name="craftMo" lay-filter="craftMo" value="覆哑膜"
                                              title="覆哑膜"></span>
                    <span class="nofm"><input type="radio" name="craftMo" lay-filter="craftMo" value="不覆膜"
                                              title="不覆膜"></span>
                </span>
                <span class="yb">
				     	|&nbsp;&nbsp;&nbsp;&nbsp;
				      	<input type="radio" name="yinbai" class="yinbai_un" value="不印白" title="不印白" checked
                               lay-filter="ui_type">
				      	<input type="radio" name="yinbai" value="印白墨" title="印白墨" lay-filter="ui_type">
				    </span>
                <span class="ui_guagua">
				     	|&nbsp;&nbsp;&nbsp;&nbsp;
				      	<input type="checkbox" name="craft" value="配刮刮膜" title="配刮刮膜" lay-filter="ui_type">
				      	<input type="checkbox" name="craft" value="粘刮刮膜" title="粘刮刮膜" lay-filter="ui_type">
				    </span>
            </div>
            <div class="layui-form-item pf">
                <span style="float:left;margin-top:12px">排废 ： </span>
                <input type="checkbox" name="craftPai" value="半排废" title="半排废" lay-filter="craftPai">
                <input type="checkbox" name="craftPai" value="全排废" title="全排废" lay-filter="craftPai">
            </div>

            <div class="layui-form-item n_mq" style="display: flex">
                <input type="checkbox" value="内部模切" id="nmq" title="内部模切" lay-filter="nmq" name="craft">
                <span class="n_mq_input" style="display: none">
                     <span style="margin-top:12px;flex-shrink: 0">个数 ： </span>
                    <input type="text" placeholder="请输入整数" autocomplete="off" name="n_mq_num" value="0"
                           class="layui-input" style="width: 70px">
                     <span style="margin-top:12px;flex-shrink: 0">尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>  </span>
                    <input type="text" placeholder="尺寸" autocomplete="off" name="n_mq_size"
                           class="layui-input">
                </span>
                <span class="huaxian" style="display: none">
                    <input type="checkbox" name="craftQieType" value="划线" title="划线">
                </span>
            </div>

            <div class="layui-form-item tj">
                <span style="float:left;margin-top:12px">烫金 ： </span>
                <input type="checkbox" name="craftTang" lay-filter="switch" class="pvcHide tang" value="纯烫金" title="纯烫金"
                       lay-skin="primary">
                <input type="checkbox" name="craftTang" lay-filter="switch" class="pvcHide tang" value="烫镭射银"
                       title="烫镭射银"
                       lay-skin="primary">
                <input type="checkbox" name="craftTang" lay-filter="switch" class="tang" value="彩色印刷+烫金/银"
                       title="彩色印刷+烫金/银" lay-skin="primary">
            </div>
            <div class="layui-form-item at">
                <span style="float:left;margin-top:10px">凹凸 ： </span>
                <input type="checkbox" name="aotu" lay-filter="switch" value="印1色" title="印1色" class="aotu"
                       lay-skin="primary">
                <input type="checkbox" name="aotu" lay-filter="switch" value="加凹凸" title="加凹凸" class="aotu"
                       lay-skin="primary">
                <%--                <input type="checkbox" name="aotu" lay-filter="switch" value="印2色" title="印2色" class="yayinHide aotu"--%>
                <%--                       lay-skin="primary">--%>
                <input type="checkbox" name="aotu" lay-filter="switch" value="纯烫金" title="纯烫金" class="aotu"
                       lay-skin="primary">
                <!--<input type="checkbox" name="aotu" lay-filter="switch" value="印2色+凹凸" title="印2色+凹凸" class="aotu" lay-skin="primary">-->
            </div>
        </form>
        <form class="layui-form cq" style="display: none;">
            <p>
                工艺
            </p>
            <div class="layui-form-item yq">
					<span class="ui_craftShua">
						|&nbsp;&nbsp;&nbsp;&nbsp;
                        <span class="peishua">
						    <input type="radio" name="craftShua" value="配牙签" title="配牙签">
                        </span>
			      		<input type="radio" name="craftShua" value="粘牙签" title="粘牙签" checked>
					</span>

                <span class="ui_guagua2">
				     	|&nbsp;&nbsp;&nbsp;&nbsp;
				      	<input type="checkbox" name="craft" value="配刮刮膜" title="配刮刮膜" lay-filter="ui_type">
				      	<input type="checkbox" name="craft" value="粘刮刮膜" title="粘刮刮膜" lay-filter="ui_type">
				    </span>
            </div>
        </form>
        <form class="layui-form normal" style="display: none;">
            <p>
                工艺
            </p>
            <div class="layui-form-item">
                <input type="radio" name="craftTang" value="激凸" title="激凸" checked lay-filter="radio_craftTang">
                <div class="layui-inline sjitu" style="width: 100px">
                    <select name="craft">
                        <option value="无色激凸">无色激凸</option>
                        <option value="有色激凸">有色激凸</option>
                    </select>
                </div>
                <input type="radio" name="craftTang" value="烫金" title="烫金" lay-filter="radio_craftTang">
                <input type="radio" name="craftTang" value="浮雕烫金" title="浮雕烫金" lay-filter="radio_craftTang">
                <input type="radio" name="craftTang" value="彩色印刷" title="彩色印刷" lay-filter="radio_craftTang">
                <div class="layui-inline ystj" style="width: 150px">
                    <input type="radio" name="craftTang" value="彩色印刷+烫金" title="彩色印刷+烫金" lay-filter="radio_craftTang">
                </div>
            </div>
        </form>
        <form class="layui-form ui_sm" style="display: none;">
            <p>
                工艺
            </p>
            <div class="layui-form-item">
                <input type="radio" name="craftMo" value="亮膜" title="亮膜" checked>
                <input type="radio" name="craftQie" value="双面印刷" title="双面印刷" checked>
                <input type="radio" name="craftshua" value="模切(切穿排废)" title="模切(切穿排废)" checked>
            </div>
        </form>
        <form class="layui-form ui_jb" style="display: none;">
            <p>工艺</p>
            <div class="layui-form-item">
                <div class="layui-input-block check">
                    <span style="float:left;margin-top:10px">覆膜 ： </span>
                    <input type="checkbox" name="craft" class="fm" lay-filter="switch" value="覆膜" title="覆膜">
                    <input type="checkbox" name="craft" class="fm" lay-filter="switch" value="覆哑膜" title="覆哑膜">
                    <input type="checkbox" name="craft" class="fm" lay-filter="switch" value="大雪花镭射膜" title="大雪花镭射膜">
                </div>
            </div>
            <div class="layui-form-item">
                <span style="float:left;margin-top:10px">白墨 ： </span>
                <input type="checkbox" class="yb" name="yinbai" lay-filter="switch" value="印白" title="印白">
            </div>
            <div class="layui-form-item">
                <span style="float:left;margin-top:10px">烫金 ： </span>
                <input type="checkbox" class="tang" name="craftTang" lay-filter="switch" value="烫金" title="烫金">
            </div>
        </form>
        <form class="layui-form">
            <div class="layui-input-block">

                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
        </form>
        <form class="layui-form">
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn" id="queryCondBtn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="13" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<!-- <script src="../../js/acountExpressFee.js" charset="utf-8"></script> -->
<%@include file="/views/copyResult.jsp" %>
<script>
    setNumberOptions();

    function setNumberOptions() {
        let html = '';
        if (window.parent.system_isPdd) {
            html = `<option value=""></option>
                <option value="1">改序号</option>
                <option value="2">改名字</option>
                <option value="3">改二维码</option>
                <option value="4">改图片</option>
                <option value="5">改内容模板相同</option>
                <option value="6" selected>改内容模板完全不同</option>`;
        } else {
            html = `<option value=""></option>
                <option value="1">改序号</option>
                <option value="6" selected>改内容模板完全不同</option>`;
        }
        $("#desType").empty().append(html);
    }

    layui.use(['element', 'table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        var element = layui.element;
        var kValue;

        // 监听回车键，如果敲了回车，调用点击‘计算’
        $(document).keydown(function (e) {
            if (e.keyCode === 13) {
                $("#queryCondBtn").trigger("click");
            }
        });

        //输入框的值改变时触发
        $("#size").on("input", function (e) {
            var size = e.delegateTarget.value
            //获取input输入的值
            if ($("#kindValue1").val() == "易碎纸不干胶") {
                if (e.delegateTarget.value.indexOf(".") != -1) {
                    layer.msg('【易碎纸不干胶】报价请输入整数尺寸!', {offset: ['300px', '300px']}, function () {
                    });
                }
            }
            if ($("#kindValue1").val() == "美纹纸" && (stickerKind == '' || stickerKind != '专版打印')) {
                // if ((size.split("*")[0] > 9 || size.split("*")[1] > 5.4) && (size.split("*")[0] > 5.4 || size.split("*")[1] > 9)) {
                //     $(".meiwenzhiQie").show();
                // } else {
                //     $(".meiwenzhiQie").hide();
                // }
            }
        });
        $("#number").on("input", function (e) {
            var number = e.delegateTarget.value;
            if ($("input[name='stickerKind']:checked").val() == "专版打印" && number > 1) {
                $("#ui_des").show();
            } else {
                $("#ui_des").hide();
            }
        });
        //建造实例
        ins = carousel.render({
            /* elem: '#test1', 
            width: '700px',  //设置容器宽度
            height: '700px', //设置容器高度
            arrow: 'none', //始终不显示箭头和点击按钮
            anim: 'updown' //切换动画方式，可从各个方向滚动 */
        });
        var stickerKind = ""
        var TJValue = ""
        var kindvalue = ""
        // 选择不干胶种类--默认常用种类，切换的时候清空产品种类
        form.on('radio(stickerKind)', function (stickerKindData) {
            // 切换按钮清空产品种类
            $("#kindValueForm")[0].reset();
            // 切换按钮工艺恢复
            $("#craftForm")[0].reset();
            // 产品种类的值
            stickerKind = stickerKindData.value
            // 切换的时候清空烫金选中（不生效）
            //$('input[class = lessCount]').prop('checked', false);
            //$('input[class = pvcHide]').prop('checked', false);

            $(".ui_guagua").hide();
            $(".huaxian").hide();
            $(".ui_guagua2").hide();
            $(".ui_guagua").prop('disabled', 'disabled');
            $(".ui_guagua2").prop('disabled', 'disabled');
            $("input[name='craft']").prop('checked', false);
            $(".ui_guaguasize").hide();
            $(".ui_guaguasize2").hide();
            $(".ui_toothpick").hide();
            $(".pf").hide();
            $(".n_mq").hide();
            $(".ui_jb").hide()
            $('.ui_jb').find("input").prop("disabled", true);
            $('.pf input').prop("checked", false);
            $('.n_mq input').prop("disabled", true);
            $(".caiqie").hide();
            $(".fm input[value='覆亮膜']").attr("checked", "checked");
            $(".ui_cq select[name='count']").empty().append(`                            <option value="500">500</option>
                            <option value="1000">1000</option>
                            <option value="2000">2000</option>
                            <option value="3000">3000</option>
                            <option value="5000">5000</option>
                            <option value="10000">10000</option>
                            <option value="20000">20000</option>
                            <option value="30000">30000</option>
                            <option value="40000">40000</option>
                            <option value="50000">50000</option>`)
            if (stickerKind == "常用种类") {
                // 切换为品种单选框
                $(".kindValueRadio").show();
                $(".kindValueRadio").find(":input").attr("disabled", false);
                $(".ui_normal").show();
                $(".ui_normal").find(":input").attr("disabled", false);
                $(".ui_tk").hide();
                $(".ui_tk").find(":input").attr("disabled", true);
                $(".kindValueSelect").hide();
                $(".kindValueSelect").find(":input").attr("disabled", true);
                $(".kindValueSelect2").hide();
                $(".kindValueSelect2").find(":input").attr("disabled", true);
                $(".kindValueSelect3").hide();
                $(".kindValueSelect3").find(":input").attr("disabled", true);
                $("#craftForm").show();
                $(".pf").show();
                $(".n_mq").show();
                $('.n_mq input').prop("disabled", false);
                $("#ui_print").hide();
                $("#ui_normal").show();
                $("#ui_print").find(":input").attr("disabled", true);
                $(".cq").hide();
                $(".ui_cq").hide();
                $(".ui_cq").find(":input").attr("disabled", true);
                $("#ui_des").hide();
                $(".ui_sm").hide();
                $(".ui_sm").find(":input").attr("disabled", true);
                $(".tj").show();
                $(".at").show();
            } else if (stickerKind == "专版打印") {
                // 少数量、专版打印的时候，切换为品种下拉框
                $(".kindValueSelect").show();
                $(".kindValueSelect").find(":input").attr("disabled", false);
                $(".ui_normal").show();
                $(".ui_normal").find(":input").attr("disabled", false);
                $(".ui_tk").hide();
                $(".ui_tk").find(":input").attr("disabled", true);
                $(".kindValueRadio").hide();
                $(".kindValueRadio").find(":input").attr("disabled", true);
                $(".kindValueSelect2").hide();
                $(".kindValueSelect2").find(":input").attr("disabled", true);
                $(".kindValueSelect3").hide();
                $(".kindValueSelect3").find(":input").attr("disabled", true);
                $("#craftForm").show();
                $("#ui_normal").hide();
                $("#ui_print").show();
                $("#ui_normal").find(":input").attr("disabled", true);
                $(".cq").hide();
                $(".ui_cq").hide();
                $(".ui_cq").find(":input").attr("disabled", true);
                $(".normal").hide();
                $('.normal input').prop("checked", false);
                if ($("#number").val() > 1) {
                    $("#ui_des").show();
                }
                $(".ui_sm").hide();
                $(".ui_sm").find(":input").attr("disabled", true);
                $(".tj").hide();
                $(".at").hide();
                $(".n_mq").show();
                $('.n_mq input').prop("disabled", false);
            } else if (stickerKind == "封口贴") {
                $(".kindValueSelect2").show();
                $(".kindValueSelect2").find(":input").attr("disabled", false);
                $(".ui_tk").show();
                $(".ui_tk").find(":input").attr("disabled", false);
                $(".kindValueSelect").hide();
                $(".kindValueSelect").find(":input").attr("disabled", true);
                $(".kindValueRadio").hide();
                $(".kindValueRadio").find(":input").attr("disabled", true);
                $(".kindValueSelect3").hide();
                $(".kindValueSelect3").find(":input").attr("disabled", true);
                $(".ui_normal").hide();
                $(".ui_normal").find(":input").attr("disabled", true);
                $("#craftForm").hide();
                $(".cq").hide();
                $(".ui_cq").hide();
                $(".ui_cq").find(":input").attr("disabled", true);
                $(".normal").hide();
                $('.normal input').prop("checked", false);
                $("#ui_des").hide();
                $(".ui_sm").hide();
                $(".ui_sm").find(":input").attr("disabled", true);
            } else if (stickerKind == "插旗") {//插旗
                $(".kindValueSelect3").show();
                $(".kindValueSelect3").find(":input").attr("disabled", false);
                $(".ui_tk").hide();
                $(".ui_tk").find(":input").attr("disabled", true);
                $(".kindValueSelect").hide();
                $(".kindValueSelect").find(":input").attr("disabled", true);
                $(".kindValueRadio").hide();
                $(".kindValueRadio").find(":input").attr("disabled", true);
                $(".kindValueSelect2").hide();
                $(".kindValueSelect2").find(":input").attr("disabled", true);
                $(".ui_normal").hide();
                $(".ui_normal").find(":input").attr("disabled", true);
                $("#craftForm").hide();
                $(".cq").show();
                $(".ui_cq").show();
                $(".ui_cq").find(":input").attr("disabled", false);
                $(".yq").show();
                $(".yq").find(":input").attr("disabled", false);
                $(".normal").hide();
                $('.normal input').prop("checked", false);
                $("#ui_des").hide();
                $(".ui_sm").hide();
                $(".ui_sm").find(":input").attr("disabled", true);
                //$(".ui_guagua2").show();
                $(".ui_toothpick").show();

                //$(".ui_guagua2").removeAttr('disabled');
                form.render();
            } else {//双面印刷不干胶
                $(".kindValueSelect3").hide();
                $(".kindValueSelect3").find(":input").attr("disabled", false);
                $(".ui_tk").hide();
                $(".ui_tk").find(":input").attr("disabled", true);
                $(".kindValueSelect").hide();
                $(".kindValueSelect").find(":input").attr("disabled", true);
                $(".kindValueRadio").hide();
                $(".kindValueRadio").find(":input").attr("disabled", true);
                $(".kindValueSelect2").hide();
                $(".kindValueSelect2").find(":input").attr("disabled", true);
                $(".ui_normal").hide();
                $(".ui_normal").find(":input").attr("disabled", true);
                $("#craftForm").hide();
                $(".cq").hide();
                $(".ui_cq").hide();
                $(".ui_cq").find(":input").attr("disabled", true);
                $(".yq").hide();
                $(".yq").find(":input").attr("disabled", false);
                $(".normal").hide();
                $('.normal input').prop("checked", false);
                $("#ui_des").hide();
                $(".ui_sm").show();
                $(".ui_sm").find(":input").attr("disabled", false);
            }
            form.render();//必须写
        });

        function getContent() {
            let craft = $("input[name='craft']:checked").val()
            let TJValue = $("input[name='craftTang']:checked").val()
            let aotu = $("input[name='aotu']:checked").val()
            let stickerKind = $("input[name='stickerKind']:checked").val()

            let html = "预计发货时间:<br>";

            if (stickerKind == '专版打印') {
                html += "广东:（16点前上传系统当天发货，16点后上传系统隔天发货） 中通 顺丰;<br>江苏：（16点前上传系统当天发货，16点后上传系统隔天发货） 申通 顺丰;";
                if (kindvalue == 5 || kindvalue == "亮金" || kindvalue == "刚古水纹超白" || kindvalue == "银平光" || kindvalue == "金平光" || kindvalue == "飘金超白不干胶" || kindvalue == "草香纸" || kindvalue == "树纹纸" || kindvalue == "白散金" || kindvalue == "美纹纸散金") {
                    html = "预计发货时间:<br>广东:（14点前上传系统当天发货，14点后上传系统隔天发货） 中通 圆通 顺丰;";
                }
                if (kindvalue == 2) {
                    html += "<br>广东：透明白墨3天发货  中通 顺丰";
                }

                if (TJValue == "纯烫金") {
                    html = "预计发货时间:<br>广东:纯烫金（2-3天发货） 申通 顺丰;"
                }
                if (kindvalue == '电线胶-PET哑银' || kindvalue == '电线胶-PP合成纸') {
                    html = "预计发货时间:<br>广东：15点之前的订单当天发货 中通 顺丰";
                }
            } else if (stickerKind == '双面印刷不干胶') {
                html += "广州：(3-4天发货) 中通 顺丰";
            } else {
                if (kindvalue == "0") {
                    if (TJValue == "纯烫金") {
                        html += "广东:（18点前上传系统隔天发货） 中通 圆通 顺丰;<br>福建:（18点前上传系统隔天发货） 圆通 顺丰;"
                    } else if (TJValue == "印2色+烫金/银") {
                        html += "广东：（5-6天发货） 中通 圆通 顺丰"
                    } else if (TJValue == "彩色印刷+烫金/银") {
                        html += "广东：（5-6天发货） 中通 圆通 顺丰"
                    } else if (TJValue == '烫镭射银') {
                        html += "广东: （2-3天发货） 中通 圆通 顺丰"
                    } else {
                        html += "广东:数量500-1000张（顺丰14点前当天发货  普通快递16点前当天发货） 中通 圆通 顺丰;<br>江苏：（3-4天发货） 韵达  顺丰;"
                    }
                    if (!!craft && ("配刮刮膜" == craft || "粘刮刮膜" == craft)) {
                        html = "预计发货时间:<br> ";
                        if ("配刮刮膜" == craft) {
                            if (TJValue == "纯烫金") {
                                html += "广东:（18点前上传系统隔天发货） 中通 圆通 顺丰;"
                            } else if (TJValue == "印2色+烫金/银") {
                                html += "广东：（5-6天发货） 中通 圆通 顺丰"
                            } else if (TJValue == "彩色印刷+烫金/银") {
                                html += "广东：（5-6天发货） 中通 圆通 顺丰"
                            } else {
                                html += "广东:（16点前上传系统当天发货，16点后上传系统隔天发货） 中通 圆通 顺丰;"
                            }
                        }
                        if ("粘刮刮膜" == craft) {
                            if (TJValue == "纯烫金") {
                            } else if (TJValue == "印2色+烫金/银") {
                            } else if (TJValue == "彩色印刷+烫金/银") {
                            } else {
                                html += "广东:（4-5天发货） 中通 圆通 顺丰;"
                            }
                        }

                    }
                } else if (kindvalue == "1") {
                    if (TJValue == "纯烫金") {
                        html += "广东: 覆亮膜+纯烫金（18点前上传系统隔天发货）<br>广东:覆哑膜+纯烫金 (5-6天发货) 中通 圆通 顺丰;"
                    } else if (TJValue == "印2色+烫金/银") {
                        html += "广东：（5-6天发货） 中通 圆通 顺丰"
                    } else if (TJValue == "彩色印刷+烫金/银") {
                        html += "广东：（5-6天发货） 中通 圆通 顺丰"
                    } else if (TJValue == '烫镭射银') {
                        html += "广东: （2-3天发货） 中通 圆通 顺丰"
                    } else {
                        html += "广东：覆亮膜 （15点前上传系统的当天发货，15点后上传系统的隔天发货）;<br>广东：覆哑膜 (2-3天发货);<br>广东：不覆膜 (48小时发货);"
                    }
                } else if (kindvalue == "2") {
                    if (TJValue == "纯烫金") {
                        html += "广东: 覆亮膜+纯烫金（18点前上传系统正常隔天发货）<br>广东: 覆哑膜+纯烫金 （5-6天发货） 中通 圆通 顺丰;"
                    } else if (TJValue == "印2色+烫金/银") {
                        html += "广东：（5-6天发货） 中通 圆通 顺丰"
                    } else if (TJValue == "彩色印刷+烫金/银") {
                        html += "广东：（5-6天发货） 中通 圆通 顺丰"
                    } else if (TJValue == '烫镭射银') {
                        html += "广东: （2-3天发货） 中通 圆通 顺丰"
                    } else {
                        html += "广东：透明亮膜（15点上传的当天发货，15点过后的隔天发);<br>广东：透明哑膜（2-3天发货）;<br>广东：透明亮膜/哑膜印白（3-4天发货）"
                    }
                } else if (kindvalue == "3") {
                    html += "广东：（3天发货） 中通 圆通 顺丰"
                } else if (kindvalue == "5") {
                    if (aotu == "印1色" || aotu == "印2色") {
                        html += "广东:（3-4天发货） 中通 顺丰"
                    } else if (aotu == "加凹凸") {
                        html += "福建:（3-4天发货） 圆通 顺丰"
                    } else {
                        html += "广东:（3-4天发货） 中通 顺丰"
                    }
                } else if (kindvalue == "6") {
                    if (aotu == "印1色") {
                        html += "广东:（3天发货） 中通 顺丰"
                    } else if (aotu == "加凹凸") {
                        html += "福建:（3-4天发货） 圆通 顺丰"
                    } else {
                        html += "广东:（3天发货） 中通 顺丰"
                    }
                } else if (kindvalue == "7") {
                    html += "广东：（3天发货） 中通 顺丰"
                } else if (kindvalue == "银平光" || kindvalue == "金平光" || kindvalue == "拉丝金" || kindvalue == "拉丝银" || kindvalue == "PP合成纸" || kindvalue == "13") {
                    html += "广东：（2-3天发货） 中通 顺丰"
                } else if (kindvalue == "美纹纸" || kindvalue == "8" || kindvalue == "10" || kindvalue == "11" || kindvalue == "12") {
                    html += "河南：（1-2天发货） 中通 顺丰"
                } else if (kindvalue == "格底珠光膜" || kindvalue == "易碎纸不干胶") {
                    html += "河南：（2-3天发货） 中通 顺丰"
                } else if (kindvalue == "15" || kindvalue == "16") {
                    if (TJValue == "激凸") {
                        html += "湖南：（4-5天发货）中通 顺丰"
                    }
                    if (TJValue == "烫金") {
                        html += "湖南：（3-4天发货）中通 顺丰"
                    }
                    if (TJValue == "浮雕烫金") {
                        html += "湖南：（4-5天发货）中通 顺丰"
                    }
                    if (TJValue == "彩色印刷") {
                        html += "广东：（2天发货） 中通 顺丰"
                    }
                } else if (kindvalue == "铜版纸不干胶") {
                    html += "广东:配牙签（16点前上传系统当天发货，16点后上传系统隔天发货） 中通 圆通 顺丰;<br>广东:粘牙签（4-5天发货） 中通 圆通 顺丰;"
                    if (!!craft && ("配刮刮膜" == craft || "粘刮刮膜" == craft)) {
                        html = "预计发货时间:<br> ";
                        if ("配刮刮膜" == craft) {
                            if (TJValue == "纯烫金") {
                                html += "广东:（18点前上传系统隔天发货） 中通 圆通 顺丰;"
                            } else if (TJValue == "印2色+烫金/银") {
                                html += "广东：（5-6天发货） 中通 圆通 顺丰"
                            } else if (TJValue == "彩色印刷+烫金/银") {
                                html += "广东：（5-6天发货） 中通 圆通 顺丰"
                            } else {
                                html += "广东:（16点前上传系统当天发货，16点后上传系统隔天发货） 中通 圆通 顺丰;"
                            }
                        }
                        if ("粘刮刮膜" == craft) {
                            if (TJValue == "纯烫金") {
                            } else if (TJValue == "印2色+烫金/银") {
                            } else if (TJValue == "彩色印刷+烫金/银") {
                            } else {
                                html += "广东:（4-5天发货） 中通 圆通 顺丰;"
                            }
                        }

                    }
                } else if (kindvalue == "250克白卡纸对裱") {
                    html += "广东:（3-4天发货） 中通 圆通 顺丰;"
                } else if (kindvalue == "17" || kindvalue == "18") {
                    html += "河南: (4-5天发货) 中通 德邦 顺丰 <br>河南: 加烫金/白墨工艺 (5-6天发货) 中通 德邦 顺丰"
                }
            }
            return html;
        }

        form.on('radio(radio_craftTang)', (data) => {
            $(".sjitu").hide();
            $(".sjitu select").attr("disabled", true);
            if (data.value == "激凸") {
                $(".sjitu").show();
                $(".sjitu select").attr("disabled", false);
            }
            var content = getContent(kindvalue);
            $("#remark").empty();

            $("#remark").append('<div><span>' + content + '<span/></div>');
            getProductImage(kValue)
        })
        form.on('checkbox(craftPai)', (data) => {
            let yinbai = $("input[name='yinbai']:checked").val();
            if (yinbai == '印白墨') {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('[排废 - 印白墨]不能同时选择！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            if ($("input[name='craftTang']:checked").length > 0) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('[排废 - 烫金]不能同时选择！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            if ($("input[name='craftPai']:checked").length > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('[半排废 - 全排废]不能同时选择！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
        })
        form.on('checkbox(nmq)', (data) => {
            if ($("#nmq:checked").length > 0 && $(".aotu:checked").length > 0) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('内部模切-凹凸只能选1项！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            if (data.elem.checked) {
                $(".n_mq_input").css("display", "flex")
                $(".n_mq_input input").prop("disabled", false);
            } else {
                $(".n_mq_input").hide()
                $(".n_mq_input input").prop("disabled", true);
            }
            getProductImage(kValue)
        })
        // 牛皮纸/特殊不干胶没有覆膜按钮组
        form.on('select(kindValue1)', function (data) {
            kindvalue = data.value
            // 没切换“少数量”的时候默认禁用少数量的下拉框,（防止提交表单）
            $(".kindValueSelect").find(":input").attr("disabled", true);
            $(".pf").hide();
            $(".n_mq").hide();
            $('.pf input').prop("checked", false);
            $('.n_mq input').prop("disabled", true);
            $(".sjitu").hide();
            $(".sjitu select").attr("disabled", true);
            $(".ystj").hide();
            $(".ystj").find("input").attr("disabled", true);
            $(".ui_jb").hide()
            $('.ui_jb').find("input").prop("disabled", true);
            $("#craftForm").show();
            $('#craftForm').find("input").prop("disabled", false);
            $("#ui_normal").show();
            $("#ui_normal").find("input").prop("disabled", false);
            $("#ui_print").hide();
            $("#ui_print").find("input").prop("disabled", true);
            let count_html = `<option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="10000">10000</option>
                        <option value="20000">20000</option>
                        <option value="30000">30000</option>
                        <option value="40000">40000</option>
                        <option value="50000">50000</option>
                        <option value="60000">60000</option>
                        <option value="70000">70000</option>
                        <option value="80000">80000</option>
                        <option value="90000">90000</option>
                        <option value="100000">100000</option>`;
            // A级、PVC、透明
            if (data.value == 0 || data.value == 1 || data.value == 2) {
                $(".tj").show();
                $(".tj").find(":input").attr("disabled", false);
            } else {
                $(".tj").hide();
                $(".tj").find(":input").attr("disabled", true);
            }
            if (data.value == 0 || data.value == 1 || data.value == 2
                || data.value == "拉丝金" || data.value == "拉丝银" || data.value == "格底珠光膜"
                || data.value == "PP合成纸") {
                $(".fm").show();
                $(".fm").find(":input").attr("disabled", false);
            } else {
                $(".fm").hide();
                $(".fm").find(":input").attr("disabled", true);
            }
            // PVC、透明没有覆哑膜
            if (data.value == 1) {
                $(".nofm").find(":input").attr("disabled", true);
                count_html = `
                        <option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="10000">10000</option>
                        <option value="20000">20000</option>`;
            } else {
                $(".nofm").find(":input").attr("disabled", true);
                $('input[class = liangmo]').prop('checked', true);
            }
            // 哑金哑银
            if (data.value == 5 || data.value == 6) {
                // 常规种类凹凸不禁用
                $(".at").find(":input").attr("disabled", false);
                $(".at").show();
                $('.at').removeAttr('disabled');
                // 哑银不要‘印2色’凹凸
                if (data.value == 6) {
                    // 切换的时候清空凹凸--‘印2色’选中
                    $('input[class = yayinHide]').prop('checked', false);
                    $('.yayinHide').prop('disabled', 'disabled');
                } else {
                    $('.yayinHide').removeAttr('disabled');
                }
            } else {
                $(".at").hide();
                $('.at').prop('disabled', 'disabled');
            }
            // 透明不干胶带白墨工艺
            if (data.value == 2 || data.value == 3 || data.value == 13 || data.value == 6 || data.value == "拉丝银" || data.value == "银平光") {
                // 复选框的disabled
                $(".yb").show();
                $(".yb").find(":input").attr("disabled", false);
            } else {
                $(".yb").hide();
                $(".yb").find(":input").attr("disabled", true);
            }
            // 默认 禁用【彩色印刷+烫金/银】长短边输入框，禁止提交
            $(".sizeTang").find(":input").attr("disabled", true);

            if (data.value == "0") {
                $(".ui_guagua").show();
                $(".ui_guagua").removeAttr('disabled');
            } else {
                $(".ui_guagua").hide();

                $(".ui_guagua").prop('disabled', 'disabled');
                $(".ui_guaguasize").hide();
            }
            if (data.value == 0 || data.value == 1) {
                $(".huaxian").show();
                $(".huaxian").removeAttr('disabled');
            } else {
                $(".huaxian").hide();
                $(".huaxian").prop('disabled', 'disabled');
            }

            $(".peishua").show();
            $(".peishua").find(":input").attr("disabled", false);
            $(".cha_fm").hide();
            $(".cha_fm").find(":input").attr("disabled", true);
            $(".caiqie").hide();
            $(".ui_cq select[name='count']").empty().append(`                            <option value="500">500</option>
                            <option value="1000">1000</option>
                            <option value="2000">2000</option>
                            <option value="3000">3000</option>
                            <option value="5000">5000</option>
                            <option value="10000">10000</option>
                            <option value="20000">20000</option>
                            <option value="30000">30000</option>
                            <option value="40000">40000</option>
                            <option value="50000">50000</option>`)
            if (data.value == "铜版纸不干胶") {
                $(".ui_guagua2").show();
                $(".ui_guagua2").removeAttr('disabled');

            } else if (data.value == "250克白卡纸对裱") {
                $(".fm input").removeAttr('checked');
                $(".ui_guagua2").hide();
                $(".caiqie").show();
                $(".cha_fm").show();
                $(".cha_fm").find(":input").attr("disabled", false);
                $(".peishua").hide();
                $(".peishua").find(":input").attr("disabled", true);
                $("input[name='craft']").prop('checked', false);
                $(".cha_fm input").prop('checked', true);
                $(".ui_guagua2").prop('disabled', 'disabled');
                $(".ui_cq select[name='count']").empty().append(`                            <option value="500">500</option>
                            <option value="1000">1000</option>
                            <option value="2000">2000</option>
                            <option value="3000">3000</option>
                            <option value="5000">5000</option>
                            <option value="10000">10000</option>
                            <option value="20000">20000</option>`)
            } else {
                $(".ui_guagua2").hide();
                $("input[name='craft']").prop('checked', false);
                $(".ui_guagua2").prop('disabled', 'disabled');
                $(".ui_guaguasize2").hide();
                $(".ui_toothpick").hide();
            }
            if (data.value == 0) {
                $(".caiqie").show();
            }
            if (data.value == "美纹纸") {
                // $(".meiwenzhiQie").show();
                count_html = `<option value="200">200</option>
                        <option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="10000">10000</option>
                        <option value="20000">20000</option>`;
            } else {
                // $(".meiwenzhiQie").hide();
                // 切换按钮工艺恢复
                $("#craftForm")[0].reset();
            }

            if (data.value == "15" || data.value == "16") {
                $(".normal input[name='craftTang'][value='激凸']").prop("checked", true);
                $(".normal").show();
                $("#craftForm").hide();
                $(".normal").find(":input").attr("disabled", false);
                $(".sjitu").show();
                $(".sjitu select").attr("disabled", false);
            } else {
                $(".normal").hide();
                $("#craftForm").show();
                $('.normal input').prop("checked", false);
            }
            if (data.value == "15") {
                $(".ystj").show();
                $(".ystj").find("input").attr("disabled", false);
            }
            if (data.value == 0 || data.value == 1 || data.value == 2 || data.value == 3) {

                $(".pf").show();
                $(".n_mq").show();
                $('.n_mq input').prop("disabled", false);
            }
            if (data.value == 7 || data.value == 5 || data.value == 6) {
                $(".n_mq").show();
                $('.n_mq input').prop("disabled", false);
            }
            if (data.value == "PP合成纸") {
                $("#craftForm").show();
            }
            if (data.value == "合成纸不干胶") {
                $("#craftForm").hide();
                $(".pf").hide();
                $(".n_mq").hide();
                $('.n_mq input').prop("disabled", true);
            }
            if (data.value == "17" || data.value == "18") {
                $("#craftForm").hide();
                $('#craftForm').find("input").prop("disabled", true);
                $(".ui_jb").show()
                $('.ui_jb').find("input").prop("disabled", false);
                $("#ui_print").show();
                $("#ui_print").find("input").prop("disabled", false);
                $("#ui_normal").hide();
                $("#ui_normal").find("input").prop("disabled", true);
            }
            $("#ui_normal #count").empty().append(count_html);
            form.render();//必须写

            var content = getContent(kindvalue);


            var html = " ";
            var remark = " ";
            if ($("input[name='stickerKind']:checked").val() == "插旗") {
                var kind = "14";
            } else if ($("input[name='stickerKind']:checked").val() == "双面印刷不干胶") {
                var kind = "双面印刷不干胶";
            } else {
                var kind = $("#kindValue1").val();
            }
            // 清空轮播图
            $("#remark").empty();
            remark += '<div><span>' + content + '<span/></div>';
            $("#remark").append(remark);
            kValue = kind
            getProductImage(kValue)
        });
        form.on('select(kindValue2)', (data) => {
            kindvalue = data.value

            var content = "预计发货时间:<br>广东:数量500-1000张（顺丰14点前当天发货  普通快递16点前当天发货） 中通 圆通 顺丰;<br>江苏：（3-4天发货） 韵达 顺丰;";

            var html = " ";
            var remark = " ";
            // 清空轮播图
            $("#remark").empty();
            remark += '<div><span>' + content + '<span/></div>';
            $("#remark").append(remark);
            kValue = $("#kindValue2").val()
            getProductImage(kValue)
        })
        // 少数量
        form.on('select(kindValue)', function (data) {
            kindvalue = data.value
            let value = data.value;
            var content = getContent()
            var html = " ";
            var remark = " ";
            // 清空轮播图
            $("#carousel").empty();
            $("#remark").empty();
            remark += '<div><span>' + content + '<span/></div>';
            $("#remark").append(remark);
            kValue = $("#kindValue").val()
            getProductImage(kValue)
            $(".cha_fm").hide();
            $(".cha_fm").find(":input").attr("disabled", true);
            $(".nofm").show();
            $(".nofm").find(":input").attr("disabled", false);
            if (data.value == 0 || data.value == 2) {
                // 5.11:专版打印没有烫金工艺了，全部禁用、隐藏
                // 5.18:专版打印恢复烫金工艺
                // 8.24:专版打印禁用烫金工艺
                // 2024.07.22:专版打印没有烫金工艺了，全部禁用、隐藏
                $(".tj").hide();
                $(".tj").find(":input").attr("disabled", false);
                $(".fm").show();
                $(".fm").find(":input").attr("disabled", false);
                $('.tang').prop('disabled', 'disabled');
                // $(".tang").each(function (index, value) {
                //     if (index == 0) {
                //         $(this).prop("disabled", false);
                //     }
                // })


            } else if (data.value == 1) {
                $(".tj").hide();
                $(".tj").find(":input").attr("disabled", true);

            } else {
                $(".tj").hide();
                $(".tj").find(":input").attr("disabled", true);
                $(".fm").hide();
                $(".fm").find(":input").attr("disabled", true);
            }
            if (data.value == 1) {
                $(".nofm").find(":input").attr("disabled", false);
            } else {
                $(".nofm").find(":input").attr("disabled", true);
                $('input[class = liangmo]').prop('checked', true);
            }
            $('input[class = liangmo]').prop('checked', true);
            if (data.value == 5 || data.value == 6) {
                $(".at").show();
                $('.at').removeAttr('disabled');
            } else {
                $(".at").hide();
                $('.at').prop('disabled', 'disabled');
            }
            // 透明不干胶带白墨工艺
            if (data.value == 2 || data.value == "银平光" || data.value == 6) {
                // 复选框的disabled
                $(".yb").show();
                $(".yb").find(":input").attr("disabled", false);
                /* $('.yb').removeAttr('disabled'); */
            } else {
                $(".yb").hide();
                $(".yb").find(":input").attr("disabled", true);
                /* $('.yb').prop('disabled', 'disabled'); */
            }
            // 切换按钮工艺重置
            $("#craftForm")[0].reset();
            /* // 根据选择的产品种类、展示烫金工艺
            if(data.value == 0 || data.value == 2){
                $('.lessCount').prop('disabled', 'disabled');
            }else if(data.value == 1){
                $('.pvcHide').prop('disabled', 'disabled');
            }else  */
            if (data.value == 5 || data.value == 6) {
                //少数量的时候不带凹凸
                $(".at").hide();
                // 禁用，防止表单提交
                $(".at").find(":input").attr("disabled", true);
                // 专版打印切换回常规的时候，写这个凹凸工艺取消禁用（上面是用这个取消）
                $('.at').prop('disabled', 'disabled');
            }
            if (data.value == "PP合成纸") {
                $("#craftForm").show();
                $(".fm").show();
                $(".fm").find(":input").attr("disabled", false);
            }
            $(".n_mq").hide();
            $('.n_mq input').prop("disabled", true);
            if (data.value == 0 || data.value == 1 || data.value == 2 || data.value == 3 || data.value == 7) {

                $(".n_mq").show();
                $('.n_mq input').prop("disabled", false);
            }

            // 默认 禁用【彩色印刷+烫金/银】长短边输入框，禁止提交
            $(".sizeTang").find(":input").attr("disabled", true);
            form.render();//必须写
        });

        form.on('checkbox(switch)', function (data) {
            if (data.elem.checked) {
                TJValue = data.value
                if ($("input[name='craftPai']:checked").length > 0) {
                    $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                    $(data.elem).prop("checked", false);
                    layer.msg('[排废 - 烫金]不能同时选择！', {offset: ['300px', '300px']}, {icon: 5});
                    return false;
                }
            } else {
                TJValue = ""
            }
            var moLen = $(".fm:checked").length;
            if (moLen > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('[覆膜 - 镭射膜]不能同时选择！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }

            var content = getContent(kindvalue, TJValue);

            var html = " ";
            var remark = " ";

            // 清空轮播图
            $("#remark").empty();
            remark += '<div><span>' + content + '<span/></div>';
            $("#remark").append(remark);
            kValue = $("#kindValue1").val()
            getProductImage(kValue);
            // 根据选中情况，禁用“长短边”输入框
            if (TJValue == "彩色印刷+烫金/银") {
                if (stickerKind != '专版打印') {
                    $(".sizeTang").find(":input").attr("disabled", false);
                } else { // 少数量的时候，禁用烫金版尺寸
                    $(".sizeTang").find(":input").attr("disabled", true);
                }
            } else {
                $(".sizeTang").find(":input").attr("disabled", true);
            }

            // 烫金只能选1个
            var tang = $(".tang:checked").length;
            if (tang > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('烫金只能选[ 1 ]项！', {
                    offset: ['300px', '300px']
                }, {icon: 5});
                return false;
            }
            // 凹凸只能选1个
            let ybvalue = $("input[name='yinbai']:checked").val();
            var aotu = $(".aotu:checked").length;
            if (aotu > 0 && ybvalue == "印白墨") {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('凹凸-印白只能选1项！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            if (aotu > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('凹凸只能选1项！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            if ($("#nmq:checked").length > 0 && aotu > 0) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('内部模切-凹凸只能选1项！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            // 印白只能选1个
            var yinbai = $(".yinbai:checked").length;
            if (yinbai > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('印白只能选1项！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }

        })
        form.on('radio(ui_type)', function (data) {
            if (data.elem.checked) {
                if ($("input[name='craftPai']:checked").length > 0) {
                    $(".yinbai_un").click();
                    form.render()
                    layer.msg('[排废 - 印白墨]不能同时选择！', {offset: ['300px', '300px']}, {icon: 5});
                    return false;
                }
            }
            var aotu = $(".aotu:checked").length;
            if (data.value == '印白墨' && aotu > 0) {
                $(".yinbai_un").click();
                form.render()
                layer.msg('凹凸-印白只能选1项！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            getProductImage(kValue);
        });
        form.on('radio(craftMo)', function (data) {
            var content = getContent();
            $("#remark").empty();
            if (kindvalue == "0" && data.value == "覆哑膜") {
                content = "广东: （2-3天发货） 中通 圆通 顺丰;<br>江苏：（3-4天发货） 韵达  顺丰;"
            }
            $("#remark").append('<div><span>' + content + '<span/></div>');
            getProductImage(kValue);
        });
        form.on('checkbox(ui_type)', function (data) {
            if ($("input[name='craft']:checked").length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg('刮刮膜只能选1项！', {
                    offset: ['300px', '300px']
                }, {icon: 5});
                form.render();//必须写
                return false;
            }
            if ($("input[name='craft']:checked").length > 0) {
                $(".ui_guaguasize").show();
                $(".ui_guaguasize2").show();

            } else {
                $(".ui_guaguasize").hide();
                $(".ui_guaguasize2").hide();

            }

            $("#remark").empty();
            var content = getContent(kindvalue, TJValue);
            let remark = '<div><span>' + content + '<span/></div>';
            $("#remark").append(remark);
            getProductImage(kValue);
        })
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        function getProductImage(value) {
            let data = {proTypeValue: $("#proTypeValue").val(), kindValue: value}
            let craft = $("input[name='craft']:checked").val();
            let craftTang = $("input[name='craftTang']:checked").val();
            let yinbai = $("input[name='yinbai']:checked").val();
            let craftMo = $("input[name='craftMo']:checked").val();
            let aotu = $("input[name='aotu']:checked").val();
            let nmq = $("#nmq:checked").val();
            if (data.kindValue == '拉丝金' || data.kindValue == '拉丝银' || data.kindValue == '15') {
                delete data.craftValue
            }
            if (!!craft) {
                data.craftValue = 'guaguamo';
            }
            if (yinbai == '印白墨') {
                data.craftValue = '印白墨';
            }
            if (data.proTypeValue == 0 && data.kindValue == 1) {
                if (craftMo == '覆亮膜') {
                    data.craftValue = '覆亮膜';
                    if (craftTang) {
                        data.craftValue = 0;
                    }
                }
                if (craftMo == '覆哑膜') {
                    data.craftValue = '覆哑膜';
                    if (craftTang) {
                        data.craftValue = 1;
                    }
                }
                if (craftTang == '纯烫金') {
                    data.craftValue = '纯烫金';
                }
            }
            if (data.proTypeValue == 0 && data.kindValue == 16) {
                if (craftTang != '浮雕烫金') {
                    data.craftValue = craftTang;
                }
            }
            if (data.proTypeValue == 0 && data.kindValue == 15) {
                data.craftValue = craftTang;
            }
            if (data.proTypeValue == 0 && data.kindValue == 0) {
                if (craftMo == '覆亮膜') {
                    data.craftValue = '覆亮膜';
                    if (!!craft) {
                        data.craftValue = 'guaguamo';
                    }
                    if (craftTang) {
                        data.craftValue = 0;
                    }
                }
                if (craftMo == '覆哑膜') {
                    data.craftValue = '覆哑膜';
                    if (!!craft) {
                        data.craftValue = 'guaguamo';
                    }
                    if (craftTang) {
                        data.craftValue = 1;
                    }
                }
                if (craftTang == '纯烫金') {
                    if (craftMo == '覆亮膜') {
                        data.craftValue = 2;
                    }
                    if (craftMo == '覆哑膜') {
                        data.craftValue = 3;
                    }
                }
            }
            if (data.proTypeValue == 0 && data.kindValue == 2) {
                if (craftMo == '覆亮膜') {
                    data.craftValue = '覆亮膜';
                    if (yinbai == '印白墨') {
                        data.craftValue = 4;
                    }
                    if (craftTang) {
                        data.craftValue = 0;
                    }
                }
                if (craftMo == '覆哑膜') {
                    data.craftValue = '覆哑膜';
                    if (yinbai == '印白墨') {
                        data.craftValue = 5;
                    }
                    if (craftTang) {
                        data.craftValue = 1;
                    }
                }
                if (craftTang == '纯烫金') {
                    if (craftMo == '覆亮膜') {
                        data.craftValue = 2;
                    }
                    if (craftMo == '覆哑膜') {
                        data.craftValue = 3;
                    }
                }
            }
            if (data.proTypeValue == 0 && (data.kindValue == 5 || data.kindValue == 6)) {
                delete data.craftValue
                if (aotu) {
                    data.craftValue = aotu;
                }
            }
            if (craftTang == '烫镭射银') {
                data.craftValue = "4";
            }
            if (nmq) {
                data.craftValue = "内部模切";
            }

            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                success: function (result) {
                    $("#carousel").empty();
                    let html;
                    if (result.length > 0) {
                        for (let i = 0; i < result.length; i++) {
                            html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                        }

                        $("#carousel").append(html);
                        // 如果没有轮播图就隐藏
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0]?.imgWidth,  //设置容器宽度
                            height: result[0]?.imgHeight
                        });
                    }

                }
            });
        }

        //点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var stickerKind = [$('input[name="stickerKind"]:checked').val()];
            var count = $("#count").val();
            if (stickerKind == '少数量') {
                if (count > 100) {
                    layer.msg("[ 少数量 ] 请报100以下", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                var kindValue = $("#kindValue").val()
            } else if (stickerKind == '常用种类') {
                var kindValue = $("#kindValue1").val()
            } else if (stickerKind == '专版打印') {
                var kindValue = $("#kindValue").val()
            } else if (stickerKind[0] == '插旗') {
                var kindValue = $("#kindValue3").val()
            } else {
                var kindValue = $("#kindValue2").val()
            }

            var craftMo = [$('input[name="craftMo"]:checked').val()];
            var aotu = [$('input[name="aotu"]:checked').val()];
            var tangjin = [$('input[name="craftTang"]:checked').val()];
            var yinbai = [$('input[name="yinbai"]:checked').val()];
            var size = $("#size").val();
            var number = $("#number").val();

            if (kindValue == "封口贴铜版纸不干胶") {
                size = $("#ui_size").val();
                $(".tj").hide();
                $(".tj").find(":input").attr("disabled", true);
                $(".fm").hide();
                $(".fm").find(":input").attr("disabled", true);
                $(".yb").hide();
                $(".yb").find(":input").attr("disabled", true);
                $(".at").hide();
                $(".at").find(":input").attr("disabled", true);
            } else if (stickerKind == "插旗") {
                size = $("#ui_cqSize").val();
                $(".tj").hide();
                $(".tj").find(":input").attr("disabled", true);
                $(".fm").hide();
                $(".fm").find(":input").attr("disabled", true);
                $(".yb").hide();
                $(".yb").find(":input").attr("disabled", true);
                $(".at").hide();
                $(".at").find(":input").attr("disabled", true);
            } else if (stickerKind == "双面印刷不干胶") {
                size = $("#ui_doubleSize").val();
                $(".tj").hide();
                $(".tj").find(":input").attr("disabled", true);
                $(".fm").hide();
                $(".fm").find(":input").attr("disabled", true);
                $(".yb").hide();
                $(".yb").find(":input").attr("disabled", true);
                $(".at").hide();
                $(".at").find(":input").attr("disabled", true);
            }

            let TJValue = $("input[name='craftTang']:checked").val()

            if (kindValue == "15" || kindValue == "16") {
                if (size.split("*")[0] < 2 || size.split("*")[1] < 2) {
                    layer.msg("树纹纸/草香纸不干胶尺寸不能小于2*2 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if (kindValue == "15") {
                    if ((size.split("*")[0] > 42 || size.split("*")[1] > 28.5) && (size.split("*")[0] > 28.5 || size.split("*")[1] > 42)) {
                        layer.msg("草香纸不干胶-彩色印刷尺寸不能超过42*28.5 cm", {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                }
                if (kindValue == "16" && TJValue == "彩色印刷") {
                    if ((size.split("*")[0] > 42 || size.split("*")[1] > 28) && (size.split("*")[0] > 28 || size.split("*")[1] > 42)) {
                        layer.msg("草香纸不干胶-彩色印刷尺寸不能超过42*28 cm", {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                }
            } else if (size.split("*")[0] < 1 || size.split("*")[1] < 1) {
                layer.msg("不干胶尺寸不能小于1*1 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }

            if (kindValue == "5") {
                /* if(aotu == "" && stickerKind != "专版打印"){
                    layer.msg("请选择凹凸工艺",{offset:['300px','300px']},function(){});
                    return false;
                } */

                if ((size.split("*")[0] > 40 || size.split("*")[1] > 27) && (size.split("*")[0] > 27 || size.split("*")[1] > 40)) {
                    layer.msg("哑金不干胶尺寸不能超过39*27 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if (kindValue == "美纹纸" && stickerKind == '常用种类') {
                if ((size.split("*")[0] > 42 || size.split("*")[1] > 28.5) && (size.split("*")[0] > 28.5 || size.split("*")[1] > 42)) {
                    layer.msg("【美纹纸】尺寸不能超过42*28.5 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if ((size.split("*")[0] < 2 || size.split("*")[1] < 2)) {
                    layer.msg("【美纹纸】尺寸不能小于2 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if (kindValue == "13" && stickerKind == '常用种类') {
                if ((size.split("*")[0] > 57 || size.split("*")[1] > 57) && (size.split("*")[0] > 57 || size.split("*")[1] > 57)) {
                    layer.msg("【10C静电膜】尺寸不能超过57*57 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if (kindValue == "6") {
                if ((size.split("*")[0] > 42 || size.split("*")[1] > 38) && (size.split("*")[0] > 38 || size.split("*")[1] > 42)) {
                    layer.msg("哑银不干胶尺寸不能超过42*38 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if ((size.split("*")[0] > 100 || size.split("*")[1] > 70) && (size.split("*")[0] > 70 || size.split("*")[1] > 100)) {
                layer.msg("不干胶尺寸不能超过100*70 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ($("#kindValue1").val() == "易碎纸不干胶" && $("#size").val().indexOf(".") != -1) {
                layer.msg('【易碎纸不干胶】报价请输入整数尺寸!', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (kindValue == "银平光" && stickerKind == '常用种类') {
                if ((size.split("*")[0] > 30 || size.split("*")[1] > 30)) {
                    layer.msg("【银平光】尺寸不能超过30*30 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if (stickerKind[0] != "插旗" && stickerKind[0] != "双面印刷不干胶") {
                if (!stickerKind[0]) {
                    layer.msg('请选择品种！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if (!kindValue[0]) {
                    layer.msg('请选择品种！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            } else {
                if ($("input[name='craftShua']:checked").val() == "粘牙签") {
                    // if ((size.split("*")[0] > 12 || size.split("*")[1] > 5) && (size.split("*")[1] > 12 || size.split("*")[0] > 5)) {
                    //     layer.msg('粘牙签最大尺寸12*5！', {offset: ['300px', '300px']}, function () {
                    //     });
                    //     return false;
                    // }
                }
            }
            if (stickerKind[0] == "插旗" && kindValue == "250克白卡纸对裱") {
                if ((size.split("*")[0] < 1 || size.split("*")[1] < 1)) {
                    layer.msg("插卡-250克白卡纸对裱不能小于10*10MM", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if ((size.split("*")[0] > 9 || size.split("*")[1] > 9)) {
                    layer.msg("插卡-250克白卡纸对裱不能大于90*90MM", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if (kindValue == "17" || kindValue == "18") {
                if ((size.split("*")[0] > 42 || size.split("*")[1] > 38) && (size.split("*")[0] > 38 || size.split("*")[1] > 42)) {
                    layer.msg("卷装标签尺寸不能超过42*38 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if ((size.split("*")[0] < 2 || size.split("*")[1] < 2)) {
                    layer.msg("卷装标签尺寸小于2*2 cm 请单独报价！", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            if (kindValue != 0 && kindValue != 1 && kindValue != 2 && kindValue != "拉丝金"
                && kindValue != "拉丝银" && kindValue != "格底珠光膜" && kindValue != "PP合成纸") {
                craftMo = ""
            }
            if (kindValue != 5 && kindValue != 6) {
                aotu = ""
            }
            if (kindValue != 0 && kindValue != 1 && kindValue != 2) {
                tangjin = ""
            }
            if (kindValue != 2) {
                yinbai = ""
            }
            if (stickerKind == "少数量" || stickerKind == "专版打印") {
                if (kindValue == 5 || kindValue == 6) {
                    aotu = ""
                }
                if (kindValue == "拉丝金" || kindValue == "拉丝银" || kindValue == "PP合成纸") {
                    craftMo = ""
                }
                if (number > 1) {
                    if ($("#desType option:selected").val() == "" || $("#desType option:selected").val() == null) {
                        layer.msg('请选择设计内容！', {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                }
                // 专版打印没有烫金工艺了，全部禁用了
                // tangjin = ""
            }
            let n_moq_num = $('input[name="n_mq_num"]').val()
            let n_moq_size = $("input[name='n_mq_size']").val()
            let nmq = $("#nmq:checked").val();
            if (nmq == '内部模切' && n_moq_num == 0) {
                layer.msg('请输入内模切个数！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (nmq == '内部模切' && n_moq_num > 0 && n_moq_size == "") {
                layer.msg('请输入内模切尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (nmq == '内部模切' && n_moq_num > 0 && n_moq_size.indexOf("*") == -1) {
                layer.msg('请输入内模切正确尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            // if (n_moq_num > 0 && ($('input[name="craft"]:checked').length > 0 || $('input[name="craftPai"]:checked').val() || $('input[name="aotu"]:checked').val() || $('input[name="craftTang"]:checked').val() || $('input[name="yinbai"]:checked').val() != "不印白")) {
            //     layer.msg('内模切只能有覆膜工艺！', {offset: ['300px', '300px']}, function () {
            //     });
            //     return false;
            // }
            if (n_moq_num > 0) {
                let main_size = size.split("*");
                let moq_size = n_moq_size.split("*");

                let max_number = Math.max(Math.floor(main_size[0] * 10 / (moq_size[0] * 10 + 2)) * Math.floor(main_size[1] * 10 / (moq_size[1] * 10 + 2)), Math.floor(main_size[1] * 10 / (moq_size[0] * 10 + 2)) * Math.floor(main_size[0] * 10 / (moq_size[1] * 10 + 2)))
                if (max_number < n_moq_num) {
                    layer.msg('内模切尺寸超出范围！', {offset: ['300px', '300px']})
                    return false;
                }
            }

            var kindData = {
                0: "铜板纸不干胶",
                1: "pvc不干胶",
                2: "透明不干胶",
                3: "牛皮纸",
                5: "哑金不干胶",
                6: "哑银不干胶",
                7: "书写纸不干胶",
                8: "刚古水纹超白",
                9: "封口贴",
                10: "红底散金",
                11: "布纹纸超白",
                12: "珠光超白",
                13: "10C静电膜",
                15: "树纹纸",
                16: "草香纸/大地纸",
                17: "单防热敏纸（底纸白色）",
                18: "三防热敏纸（底纸蓝色）"
            };
            var kind = kindData[kindValue];
            if (!kind) {
                if (!kindValue) {
                    kind = stickerKind;
                } else {
                    kind = kindValue;
                }
            }

            var uri = "${pageContext.request.contextPath}/getThanSum";
            $.ajax({
                url: uri,
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    var craftList = "";
                    let craft_list = []
                    let span_result = "为回馈新老客户，本店特别推出精品不干胶贴纸 ; 加金牌设计师免费为您进行一对一设计，加胶加膜\n";
                    if (data[0].kindLabel == "铜版纸不干胶") {
                        if (craftMo != "") {
                            craft_list.push(craftMo)
                        }
                        if (aotu != "") {
                            craft_list.push(aotu)
                        }
                        if (tangjin != "") {
                            craft_list.push(tangjin)
                        }
                        craftList = craftMo + aotu + tangjin;
                    } else if (kindValue == "13") {
                        span_result = "";
                        craft_list.push("模切");
                        if ($("input[name='yinbai']:checked").val() != "") {
                            craft_list.push($("input[name='yinbai']:checked").val());
                        }
                    } else if (kindValue == "15" || kindValue == "16") {
                        span_result = "";
                        if ($("input[name='craftTang']:checked").val() != "") {
                            if ($("input[name='craftTang']:checked").val() == "激凸") {
                                craft_list.push($(".sjitu select option:selected").val());
                            } else {
                                craft_list.push($("input[name='craftTang']:checked").val());
                            }
                        }

                    } else if (stickerKind == "双面印刷不干胶") {
                        span_result = "";
                        if ($(".ui_sm input[name='craftQie']:checked").val() != "") {
                            craft_list.push($(".ui_sm input[name='craftQie']:checked").val());
                        }
                        if ($(".ui_sm input[name='craftshua']:checked").val() != "") {
                            craft_list.push($(".ui_sm input[name='craftshua']:checked").val());
                        }
                        if ($(".ui_sm input[name='craftMo']:checked").val() != "") {
                            craft_list.push($(".ui_sm input[name='craftMo']:checked").val());
                        }
                    } else {
                        span_result = "";
                        if (stickerKind == "插旗") {
                            craftMo = "模切-" + $("input[name='craftShua']:checked").val();
                            craft_list.push("模切")
                            if ($("input[name='craftShua']:checked").val() != "") {
                                craft_list.push($("input[name='craftShua']:checked").val());
                            }
                        } else if (stickerKind == "双面印刷不干胶") {
                            craftMo = "模切-覆哑膜";
                            craft_list.push("模切-覆哑膜")
                        }
                        if (kindValue == "0") {
                            if ($("input[name='craft']:checked").val() != null && $("input[name='craft']:checked").val() != "抠图") {
                                yinbai = $("input[name='craft']:checked").val() + ":6*18毫米";
                                craft_list.push(yinbai)
                            }
                        }
                        if ($("input[name='craftQieType']:checked").val() != null) {
                            craft_list.push($("input[name='craftQieType']:checked").val())
                        }
                        var yaqian = ''
                        if ($("input[name='yinbai']:checked").val() != "") {
                            yaqian = $("input[name='yinbai']:checked").val();
                            if (kindValue == 6 || kindValue == 3 || kindValue == "拉丝银" || kindValue == "银平光") {
                                craft_list.push(yaqian)
                            }
                        }
                        if (stickerKind == "插旗") {
                            if ($("input[name='craft']:checked").val() != null && $("input[name='craft']:checked").val() != "抠图") {
                                yinbai = $("input[name='craft']:checked").val() + ":6*18毫米";
                            }
                            yaqian = $("select[name='toothpick_size'] option:selected").val() + '厘米';
                            craft_list.push(yaqian)
                        }
                        craft_list.push($("input[name='craftQie']:checked").val())
                        craft_list.push(...craftMo)
                        craft_list.push(...aotu)
                        craft_list.push(...tangjin)
                        craft_list.push(...yinbai)
                        craftList = craftMo + aotu + tangjin + yinbai;
                    }
                    if ($("input[name='craftPai']:checked").val() != "") {
                        craft_list.push($("input[name='craftPai']:checked").val())
                    }
                    if (nmq == '内部模切' && n_moq_num > 0) {
                        craft_list.push("内部模切:" + n_moq_num + "/" + n_moq_size)
                    }
                    $("input[name='craft']:checked").each(function () {
                        if (!$(this).is(':disabled')) {
                            if ($("input[name='craft']:checked").val() == "抠图") {
                                craft_list.push($(this).val() + $("input[name='cropNumber']").val());
                            }
                        }
                    });
                    craft_list = craft_list.filter(i => {
                        return i != ""
                    });
                    span_result += kind + ' - ' + size + "厘米 - " + craft_list.join("-") + '\n';

                    if (number > 1) {
                        if (stickerKind == "专版打印") {
                            let numberType = $("#desType option:selected").text();
                            span_result += "款数：" + number + "-" + numberType + "\n";
                        }
                        for (let i = 0; i < data.length; i++) {
                            data[i].number = number;
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    /*layer.msg("插旗（牙签）不是粘好出货哦！",{offset:['300px','300px']},function(){});*/
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费)'

                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    if ((kindValue == "15" || kindValue == "树纹纸") && window.parent.system_isPddPrice) {
                        let padCraft = false;
                        craft_list.forEach(item => {
                            if (item == "彩色印刷") {
                                padCraft = true;
                            }
                        })
                        if (padCraft) {
                            span_result += "\n\n亲亲  当天15点之前定稿  可以当天发货哦！"
                            span_result += "\n\n亲亲  当天下单立享9折优惠  加购其他产品可享85折优惠"
                        }
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);
                    if (stickerKind == "封口贴") {
                        count = $("#selectCount option:selected").val();
                    } else if (stickerKind == "专版打印") {
                        count = $("#printCount").val();
                    }
                    if (stickerKind != "插旗" && stickerKind != "双面印刷不干胶") {
                        kind = kind.replace("不干胶", " ");
                    }
                    getRemark("不干胶", size, count + "个", kind, number, craftList, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    if ((${ sessionScope.USER_SESSION.role.contains('1010')})) {
                        layer.msg('要加设计费！', {offset: ['300px', '300px']}, function () {
                        });
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价',
                                templet: function (d) {
                                    /* if(d.kindLabel == "铜版纸不干胶"){
                                        return Math.ceil(d.price)
                                    }
                                    else if(d.kindLabel == "铜版纸不干胶3"){
                                        return Math.floor(d.price * 0.95)
                                    } */
                                    return Math.ceil(d.price)
                                }
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价',
                                templet: function (d) {
                                    /*if(d.kindLabel == "铜版纸不干胶"){
                                        if(d.count <= 10000){
                                            return Math.ceil(d.price * 0.88)
                                        }
                                    } else if(d.kindLabel == "A级铜版纸不干胶2"){
                                        return Math.floor(d.price * 0.85)
                                    } */
                                    return Math.ceil(d.price)
                                    /* else if(d.kindLabel == "铜版纸不干胶3"){
                                        return Math.floor(d.price * 0.93)
                                    }else{
                                        return Math.ceil(d.price * 0.88)
                                    } */
                                }
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>